Page MenuHomePhabricator

Add UTC 'Z' suffix to webrequest `dt` field.
Closed, ResolvedPublic2 Story Points

Description

To better standardize all datetime fields on a formally compatible ISO-8601, we should add the Z suffix to webrequest datetimes to clearly indicate that they are in UTC.

Event Timeline

Ottomata created this task.Feb 25 2019, 2:44 PM
Ottomata set the point value for this task to 2.Feb 25 2019, 2:47 PM
fdans triaged this task as High priority.Feb 25 2019, 4:48 PM
fdans moved this task from Incoming to Data Quality on the Analytics board.
mforns lowered the priority of this task from High to Normal.Apr 22 2019, 3:46 PM

Change 516528 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[operations/puppet@production] Add 'Z' suffix to webrequest log dt format

https://gerrit.wikimedia.org/r/516528

Change 516528 merged by Ottomata:
[operations/puppet@production] Add 'Z' suffix to webrequest log dt format

https://gerrit.wikimedia.org/r/516528

Mentioned in SAL (#wikimedia-operations) [2019-07-01T13:43:09Z] <ottomata> modified dt format of webrequest logs to use 'Z' suffix for timezone offset - T217040

Ottomata moved this task from Next Up to Done on the Analytics-Kanban board.
Nuria closed this task as Resolved.Jul 2 2019, 6:45 PM